Skip to main content
`Ctrl`+`K`

# MATAIJCRL

MATAIJCRL = “aijcrl” - A matrix type to be used for sparse matrices.

## Options Database Key

- -mat_type aijcrl - sets the matrix type to “aijcrl” during a call to `MatSetFromOptions()`

## Note

This matrix type is identical to `MATSEQAIJCRL` when constructed with a single process communicator, and `MATMPIAIJCRL` otherwise. As a result, for single process communicators, `MatSeqAIJSetPreallocation()` is supported, and similarly `MatMPIAIJSetPreallocation()` is supported for communicators controlling multiple processes. It is recommended that you call both of the above preallocation routines for simplicity.

## See Also

Matrices, `Mat`, `MatCreateMPIAIJCRL`, `MATSEQAIJCRL`, `MATMPIAIJCRL`, `MATSEQAIJCRL`, `MATMPIAIJCRL`

## Level

beginner

## Location

src/mat/impls/aij/seq/aij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages